当前位置:首页 > Liunx教程 >

RHSA-2020:3901:libpng安全更新

发布时间:2021-01-05 18:04:14 作者:佚名 阅读:(47)

最近收到了服务器提示有libpng输入验证错误漏洞,攻击者可利用该漏洞对服务器带来一定的影响。接下来吾爱编程就为大家介绍一下解决方法,有需要的小伙伴可以参考一下:

1、漏洞提示:

CVE-2017-12652:libpng 输入验证错误漏洞

2、漏洞描述:

漏洞编号 漏洞公告 漏洞描述
CVE-2017-12652 

libpng 输入验证错误漏洞


libpng是一个可对PNG图形文件实现创建、读写等操作的PNG参考库。

libpng 1.6.32之前版本中存在安全漏洞。目前尚无此漏洞的相关信息,



3、影响说明:

软件:libpng 1.5.13-7.el7_2
命中:libpng version less than 2:1.5.13-8.el7
路径:/usr/lib64/libpng15.so.15
软件:libpng-devel 1.5.13-7.el7_2
命中:libpng-devel version less than 2:1.5.13-8.el7
路径:/usr/bin/libpng-config

4、解决方法:

yum update libpng

5、重启验证:

reboot

RHSA-2020:3901:libpng安全更新

6、参考链接:

    https://github.com/glennrp/libpng/blob/df7e9dae0c4aac63d55361e35709c864fa1b8363/ANNOUNCE


以上就是吾爱编程为大家介绍的Python documentation XML-RPC server跨站脚本漏洞修复方法的全部内容了,希望对大家有所帮助,了解更多相关文章请关注吾爱编程网!

欢迎分享转载→ RHSA-2020:3901:libpng安全更新

© 2015-2021 - 吾爱编程网 版权所有 苏ICP备18033726号-1关于我们 - 网站声明 - 联系我们